# $Revision: 1.130 $, $Date: 2009/07/10 19:53:03 $
#
# Conditional build:
%bcond_without	fontconfig	# without fontconfig support
%bcond_without	xpm		# without XPM support (requires X11 libs)
#
Summary:	Library for PNG, JPEG creation
Summary(es.UTF-8):	Biblioteca para manipulación de imágenes
Summary(pl.UTF-8):	Biblioteka do tworzenia grafiki w formacie PNG, JPEG
Summary(pt_BR.UTF-8):	Biblioteca para manipulação de imagens
Name:		gd
Version:	2.0.35
Release:	5
License:	BSD-like
Group:		Libraries
Source0:	http://www.libgd.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	6c6c3dbb7bf079e0bb5fbbfd3bb8a71c
Patch0:		%{name}-fontpath.patch
Patch1:		%{name}-rotate_from_php.patch
URL:		http://www.libgd.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
%{?with_fontconfig:BuildRequires:	fontconfig-devel}
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.3
%{?with_xpm:BuildRequires:	xorg-lib-libXpm-devel}
BuildRequires:	zlib-devel
Provides:	gd(gif) = %{version}-%{release}
# versioned by php version rotate_from_php code comes from
Provides:	gd(imagerotate) = 5.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gd is the image manipulating library. It was created to allow graphs,
charts and the like to be generated on the fly for use on the World
wide Web, but is useful for any application in which custom images are
useful. It is not a paint program; it is a library. gd library creates
PNG, JPEG, GIF and WBMP images. PNG is a more compact format, and full
compression is available. JPEG works well with photographic images,
and is still more compatible with the major Web browsers than even PNG
is. WBMP is intended for wireless devices (not regular web browsers).

%description -l es.UTF-8
Esta es la biblioteca gd para el manejo de imágenes. Fue creada para
uso en la Web, creando gráficos automáticamente. Pero es útil para
cualquier programa que necesite de imágenes personalizados. No es un
programa de dibujo; es una biblioteca.

%description -l pl.UTF-8
gd to biblioteka do obróbki obrazów. Została stworzona, aby umożliwić
dynamiczne generowanie wykresów i podobnych rzeczy na potrzeby WWW,
ale może być przydatna także dla każdej aplikacji tworzącej własne
obrazy. Biblioteka ta pozwala na tworzenie plików graficznych w
formatach PNG, JPEG, GIF i WBMP. PNG jest zwartym formatem z
bezstratną kompresją. JPEG dobrze nadaje się do obrazów
fotograficznych i jest obsługiwany nawet przez więcej przeglądarek WWW
niż PNG. WBMP jest przeznaczony dla urządzeń bezprzewodowych (a nie
zwykłych przeglądarek WWW).

%description -l pt_BR.UTF-8
Esta é a biblioteca gd para manipulação de imagens. Ela foi criada
para uso na Web, gerando gráficos automaticamente. Mas é útil para
qualquer programa que precise de imagens personalizados. Não é um
programa de desenho; é uma biblioteca.

%package devel
Summary:	Development part of the GD library
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para desarrollar programas usando gd
Summary(pl.UTF-8):	Część biblioteki GD przeznaczona dla developerów
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para desenvolver programas usando gd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2.0
Requires:	libjpeg-devel
Requires:	libpng-devel
%{?with_xpm:Requires:	xorg-lib-libXpm-devel}
Requires:	zlib-devel
Provides:	gd-devel(gif) = %{version}-%{release}
Provides:	gd-devel(imagerotate) = 5.2.0

%description devel
This package contains the files needed for development of programs
linked against GD.

%description devel -l es.UTF-8
Este paquete contiene los archivos de inclusión y las bibliotecas
necesarias para desarrollar programas usando gd.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki potrzebne do rozwoju programów korzystających
z biblioteki GD.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão e as bibliotecas
necessárias para desenvolver programas usando gd.

%package static
Summary:	Static GD library
Summary(pl.UTF-8):	Statyczna biblioteka GD
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libgd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	gd-static(gif) = %{version}-%{release}
Provides:	gd-static(imagerotate) = 5.2.0

%description static
This package contains static gd library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę gd.

%description static -l pt_BR.UTF-8
Este pacote contem bibliotecas estáticas para desenvolvimento com
libgd.

%package progs
Summary:	Utility programs that use libgd
Summary(es.UTF-8):	Programas utilitarios libgd
Summary(pl.UTF-8):	Narzędzia używające libgd
Summary(pt_BR.UTF-8):	Programas utilitários libgd
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
These are utility programs supplied with gd, the image manipulation
library. The libgd-progs package contains a group of scripts for
manipulating the graphics files in formats which are supported by the
libgd library.

%description progs -l pl.UTF-8
Ten pakiet zawiera programy używające biblioteki gd, służące do
obróbki plików graficznych w formatach obsługiwanych przez libgd.

%description progs -l pt_BR.UTF-8
Este pacote inclui vários utilitários para manipulação de arquivos gd
para uso pelos programas que usam a libgd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# hack to avoid inclusion of -s in --ldflags
%{__perl} -pi -e 's,\@LDFLAGS\@,,g' config/gdlib-config.in

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	%{!?with_fontconfig:--without-fontconfig} \
	%{!?with_xpm:--without-xpm}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING index.html
%attr(755,root,root) %{_libdir}/libgd.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gdlib-config
%attr(755,root,root) %{_libdir}/libgd.so
%{_libdir}/libgd.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgd.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/gdlib-config

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gd.spec,v $
Revision 1.130  2009/07/10 19:53:03  arekm
- release 5

Revision 1.129  2008/11/07 01:26:18  pluto
- release 4 for rebuild.

Revision 1.128  2007-09-12 11:31:49  arvenil
- BR: xorg-lib-libXpm => BR: xorg-lib-libXpm-devel
- release 3

Revision 1.127  2007/09/05 13:15:53  baggins
- rel 2

Revision 1.126  2007/08/21 15:19:15  adamg
- CVE entries

Revision 1.125  2007/06/24 07:43:37  adamg
- updated to 2.0.35
  (resolves CVE-2007-2756, CVE-2007-3472, CVE-2007-3473, CVE-2007-3474,
   CVE-2007-3475, CVE-2007-3476, CVE-2007-3477, CVE-2007-3478)

Revision 1.124  2007/05/26 20:15:10  arekm
- up to rc4

Revision 1.123  2007/05/09 07:33:40  arekm
- up to 2.0.35 rc3 (important threading fixes)

Revision 1.122  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.121  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.120  2006/12/23 02:02:40  qboosh
- updated rotate_from_php patch with code from php 5.2.0
  (incompatible with older php!)
- gd(imagerotate) cap versioned with php version
- release 10

Revision 1.119  2006/12/22 22:38:38  qboosh
- added gd(imagerotate) Provides, release 9

Revision 1.118  2006/11/28 23:39:47  arekm
- rel 8

Revision 1.117  2006/03/05 14:23:21  qboosh
- added SetAAPixel,security patches from FC (crash/overflows fixes)
- release 7

Revision 1.116  2006/02/14 23:36:38  wolf
- xorg modular deps, rel 6

Revision 1.115  2005/08/15 15:57:43  arekm
- rel 5; include fixes from graphviz project

Revision 1.114  2005/04/16 23:32:10  mmazur
- rel 4 for th

Revision 1.113  2005/01/17 22:29:21  marcus
- added BR gettext-devel
aclocal:configure.ac:51: warning: macro `AM_ICONV' not found in library

Revision 1.112  2004/12/29 12:08:49  hawk
- release 3 (2 for RA)

Revision 1.111  2004/11/14 17:06:23  hawk
- updated to 2.0.33

Revision 1.110  2004/11/07 17:07:35  blues
- release 2

Revision 1.109  2004/11/07 17:05:42  blues
- release 1.1

Revision 1.108  2004/11/02 11:26:11  qboosh
- updated to 2.0.32 (freetype fonts handling fix)

Revision 1.107  2004/11/02 09:57:08  qboosh
- fixed bcond_without xpm, added bcond_without fontconfig

Revision 1.106  2004/10/31 20:30:08  blues
- release 2

Revision 1.105  2004/10/31 20:28:36  blues
- 2.0.31 - small bugfix release (not important)

Revision 1.104  2004/10/31 10:20:49  qboosh
- updated to 2.0.30 (includes fixes for integer overflows, incl. CAN-2004-0990)

Revision 1.103  2004/08/22 22:14:45  qboosh
- removed evil no_ldflags_in_gdlib-config patch, include proper --ldflags
- release 4

Revision 1.102  2004/08/12 11:57:23  blues
- release 3, added rotate_from_php patch; please, review it

Revision 1.101  2004/08/12 09:50:11  blues
- release 2

Revision 1.100  2004/07/22 21:49:28  qboosh
- updated to 2.0.28, removed obsolete gif patch
- GIF support is back in upstream sources
  gdImageOpenPolygon(), gdImageCreateFromGifSource(), gdImageLzw*,
  gdImageBigGif*, gdImageGifToSink() functions
  and gd2togif, giftogd2, gdcmpgif progs have been dropped
  (fortunately doesn't seem to be used in current php, perl-GD or anything now)
- removed gif,lzw bconds, always provide gd*(gif)

Revision 1.99  2004/07/03 21:43:09  qboosh
- updated to 2.0.27

Revision 1.98  2004/06/05 22:00:28  qboosh
- updated to 2.0.26 (significant speedups and merges from php fork)
- updated gif patch

Revision 1.97  2004/04/21 23:05:55  qboosh
- updated to 2.0.23 (still with my gif patch)
- updated fontpath patch, removed obsolete return patch

Revision 1.96  2004/04/19 21:30:28  qboosh
- added return patch (fixes SEGV on ppc, possibly on others); release 2

Revision 1.95  2004/02/05 15:27:35  pzurowski
- Updated to 2.0.22

Revision 1.94  2004/01/18 23:39:52  qboosh
- updated to 2.0.21
- removed obsolete FreeFontCache-alias patch
- updated gif patch introducing gdImageCreateFromGifPtr function

Revision 1.93  2004/01/08 20:23:41  qboosh
- updated to 2.0.19, updated gif patch

Revision 1.92  2003/12/26 16:24:26  qboosh
- updated to 2.0.17
- gif patch manually updated, removed obsolete gif-am patch
- removed obsolete freetype_includes patch (already in sources)
- added FreeFontCache-alias patch to preserve binary compat with 2.0.15
  (and avoid e.g. php segfaults)

Revision 1.91  2003/12/22 21:42:11  qboosh
- use macros for filenames in freetype_includes patch
- new-style bconds, release 4

Revision 1.90  2003/12/20 22:51:23  jajcus
- properly include freetype headers (freetype_includes.patch)

Revision 1.89  2003/08/31 17:14:11  mmazur
- rel 3 for ac

Revision 1.88  2003/08/01 14:25:34  arekm
- add /usr/X11R6/lib to gdlib-config --ldflags; rel2

Revision 1.87  2003/07/10 22:48:47  arekm
- started update to 2.0.15

Revision 1.86  2003/06/12 14:34:01  qboosh
- changed no_ldflags_in_gdlib-config patch to give empty ldflags, not usage info
- release 3

Revision 1.85  2003/06/05 10:45:11  qboosh
- killed X11/Xpm entropy

Revision 1.84  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.83  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.82  2003/05/25 05:47:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.81  2003/04/23 16:42:12  kloczek
- added no_ldflags_in_gdlib-config.in patch which removes propagate in
  gdlib-config script LDFLAGS used on linking libgd into projects which will
  use libgd (seems kind gd maintainer misundesrstending of idea *-config
  scripts),
- remove workaroud for not propagate LDFLAGS in gdlib-config (isn't now
  neccessary),
- remove %define shlibver (also isn't neccessary now).

Revision 1.80  2003/04/21 01:15:14  qboosh
- removed setting LDFLAGS to "-s" to remove -s from `gdlib-config --ldflags`
- release 2

Revision 1.79  2003/04/15 11:21:43  wiget
- update to 2.0.12
- use oryginal gif patch
- fix gif patch (patch Makefile.am like Makefile.in in oryginal patch)

Revision 1.78  2003/04/15 09:03:38  qboosh
- updated Source0 URL

Revision 1.77  2003/02/19 10:41:10  qboosh
- BR: libtool >= 1.4.3 (AC_CONFIG_AUX_DIR detection - visible as SED problem)

Revision 1.76  2003/01/19 01:38:34  qboosh
- 2.0.11

Revision 1.75  2003/01/10 20:49:31  qboosh
- updated to 2.0.9
- updated gif patch based on version for gd 2.0.7
- updated fontpath and fixes patches
- removed obsolete ac_am,gif-acam,gdTiled-segv patches

Revision 1.74  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.73  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.72  2002/08/10 22:43:53  qboosh
- fix for gdTiled-related SEGV (uninitialized variable) (gdTiled-segv patch)
- more fixes based mainly on gd version from graphviz (fixes patch)
- release 7

Revision 1.71  2002/08/10 16:39:33  qboosh
- fontpath patch - set default FONTPATH to PLD-compatible
- added patch with GIF support (conditional, default on)
- cleanups in descriptions
- release 6

Revision 1.70  2002/07/17 08:13:11  qboosh
- removed libpng 1.2.2 hack and BR: pkgconfig; new %%doc

Revision 1.69  2002/07/16 21:45:16  kloczek
- release 5.

Revision 1.68  2002/07/16 03:19:38  agaran
added br: pkgconfig

Revision 1.67  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.66  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.65  2002/04/26 15:00:47  wiget
allow compiling with libpng 1.2.2

Revision 1.64  2002/04/25 16:21:42  arturs
fixed a small typo

Revision 1.63  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.62  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.61  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.60  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.59  2002/02/19 03:25:29  kloczek
- release 4.

Revision 1.58  2002/02/18 19:28:54  gotar
- %desc

Revision 1.57  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.56  2001/12/21 22:15:24  kloczek
- merge translations from Conectiva.

Revision 1.55  2001/12/20 12:47:48  qboosh
- fixed static description
- -devel Reqires: libjpeg-devel, freetype-devel >= 2.0
- release 3

Revision 1.54  2001/10/03 16:44:16  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.53  2001/09/26 10:26:59  qboosh
- adapterized, BuildRequires: libtool

Revision 1.52  2001/07/13 14:34:44  wiget
Source0 URL fixed

Revision 1.51  2001/07/12 23:40:36  qboosh
- 2.0.1, updated ac_am patch; uses freetype2 now
- BuildRequires: libtiff-devel
php seems to be ready for gd2; need to check perl-GD, webalizer etc.

Revision 1.50  2001/06/12 09:31:09  mkochano
- Release 6.
- Removed gd-HAVE_LIBJPEG patch. Jacek Osiecki has discovered correct
  solution: fixing gd-ac_am.patch.

Revision 1.49  2001/06/12 08:35:55  mkochano
- Release 5.
- Added gd-HAVE_LIBJPEG.patch (by Jacek Osiecki <joshua@ceti.pl>).

Revision 1.48  2001/06/04 14:41:51  baggins
- autoconf must be after automake

Revision 1.47  2001/05/21 10:08:53  michuz
- vback to previous version (my fault)

Revision 1.46  2001/05/20 15:36:09  michuz
- release 3
- a few fixes

Revision 1.45  2001/03/19 20:43:57  kloczek
- release 2: rebuild against freetype1.

Revision 1.44  2001/03/18 15:46:11  agaran
looks like that libjpeg-devel is needed for gd for build, added

Revision 1.43  2001/02/01 23:58:14  kloczek
- updated to 1.8.4.

Revision 1.42  2001/01/02 07:39:57  kloczek
- release 8: added progs subpackage.

Revision 1.41  2000/12/07 19:19:10  kloczek
- release 7,
- fixed ac_am patch: pass to CFLAGS -DHAVE_JPEG if libjpeg found and
  -DHAVE_LIBTTF if libtiff found.

Revision 1.40  2000/11/03 06:33:04  kloczek
- release 6.

Revision 1.39  2000/10/09 17:48:05  kloczek
- release 5 (for allow upgrade from RH 7).

Revision 1.38  2000/10/09 17:43:57  kloczek
- adapterized and added using new rpm automation suit.

Revision 1.37  2000/10/09 13:32:53  wiget
- Release: 4
- (gd-devel) Requires: libpng-devel, zlib-devel

Revision 1.36  2000/08/30 21:12:57  kloczek
- added %%{_libdir}/*.la to devel.

Revision 1.35  2000/08/30 18:45:33  kloczek
- removed pld patch and added ac_am patch wit full autoconf/automake suilt
  for gd,
- spec adaptetrized.

Revision 1.34  2000/08/01 12:26:08  wiget
-BuildRequires: libjpeg-devel

Revision 1.33  2000/07/28 13:57:03  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.32  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/06/06 19:56:52  bonkey
- make libgd.a before making shared
- shlibver defined
- release++

Revision 1.30  2000/06/05 10:22:59  bonkey
- v.1.8.3

Revision 1.29  2000/05/26 23:43:08  kloczek
- added missing %attr() in %files,
- new %description,
- removed %%{_libdir}/*.a from devel,
- cosmetics.

Revision 1.28  2000/05/25 21:39:38  lukasz
- updated to 1.8.2
- changed section install
- added Makefile patch

Revision 1.27  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.26  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.24  2000/02/07 18:49:46  pius
- added -I/usr/include/freetype to CFLAGS
- cosmetics
- release 2
